package com.webchat.connect.websocket.config;

import com.webchat.connect.websocket.handler.ChatWebSocketEndPointHandler;
import com.webchat.connect.websocket.interceptor.ChatWebSocketEndPointInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;

@Configuration
@EnableWebSocket
public class WebSocketConnectConfig implements WebSocketConfigurer {

    private static final String CHAT_WEBSOCKET_PATH = "/connect-service/ws/chat/{userId}";

    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
        registry.addHandler(chatWebSocketEndPointHandler(), CHAT_WEBSOCKET_PATH)
                .setAllowedOrigins("*")
                .addInterceptors(new ChatWebSocketEndPointInterceptor()); ;
    }

    @Bean
    public ChatWebSocketEndPointHandler chatWebSocketEndPointHandler() {
        return new ChatWebSocketEndPointHandler();
    }
}